
Orangutan::Redmine - Feature #188

Allow saving time entries without issue ID

01 Apr 2010 22:15 - Andriy Lesyuk

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Andriy Lesyuk % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.01   

Description

Right now Orangutan requires issue ID to be set for a task. If it is not set Orangutan refuses to submit a task.

This is not how it should behave... The issue is optional in Redmine (the field is not required in the time entry dialog; database field

issue_id can be NULL). If so Orangutan should allow empty issue too.

Actually the issue ID is the only value which cannot be guessed by Orangutan currently. Making this value optional will solve some of

the problems.

Also a special context should be added allowing to “clear” the main issue and the task issue. Example:

User: Clear the default issue

History

#1 - 13 Apr 2010 19:06 - Andriy Lesyuk

- Target version set to 1.01

#2 - 17 Apr 2010 21:49 - Andriy Lesyuk

- Status changed from Open to Closed

- % Done changed from 0 to 100

#3 - 01 Mar 2011 14:23 - Andriy Lesyuk

- Tracker changed from Bug to Feature

- Project changed from Orangutan to Orangutan::Redmine
